monad-logger-0.3.20.1: A class of monads which can log messages.

Safe Haskell | Safe
Language | Haskell98

Control.Monad.Logger.CallStack

Description

Log functions using CallStack support in place of Template Haskell

Since: 0.3.19

Synopsis

- logDebug :: (HasCallStack, MonadLogger m) => Text -> m ()
- logInfo :: (HasCallStack, MonadLogger m) => Text -> m ()
- logWarn :: (HasCallStack, MonadLogger m) => Text -> m ()
- logError :: (HasCallStack, MonadLogger m) => Text -> m ()

# Documentation

logDebug :: (HasCallStack, MonadLogger m) => Text -> m () #

Logs a message with the location provided by an implicit `CallStack`.

Since: 0.3.19

logInfo :: (HasCallStack, MonadLogger m) => Text -> m () #

See `logDebug`

Since: 0.3.19

logWarn :: (HasCallStack, MonadLogger m) => Text -> m () #

See `logDebug`

Since: 0.3.19

logError :: (HasCallStack, MonadLogger m) => Text -> m () #

See `logDebug`

Since: 0.3.19